Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.util
Class DigestFactory

    java.lang.Object
      org.bouncycastle.crypto.util.DigestFactory

public final class DigestFactory
extends java.lang.Object

Basic factory class for message digests.

Constructor Summary
`DigestFactory()`

Method Summary
`static Digest` | `cloneDigest(Digest hashAlg)`
`static Digest` | `createMD5()`
`static Digest` | `createMD5PRF()`
`static Digest` | `createSHA1()`
`static Digest` | `createSHA1PRF()`
`static Digest` | `createSHA224()`
`static Digest` | `createSHA224PRF()`
`static Digest` | `createSHA256()`
`static Digest` | `createSHA256PRF()`
`static Digest` | `createSHA3_224()`
`static Digest` | `createSHA3_224PRF()`
`static Digest` | `createSHA3_256()`
`static Digest` | `createSHA3_256PRF()`
`static Digest` | `createSHA3_384()`
`static Digest` | `createSHA3_384PRF()`
`static Digest` | `createSHA3_512()`
`static Digest` | `createSHA3_512PRF()`
`static Digest` | `createSHA384()`
`static Digest` | `createSHA384PRF()`
`static Digest` | `createSHA512_224()`
`static Digest` | `createSHA512_224PRF()`
`static Digest` | `createSHA512_256()`
`static Digest` | `createSHA512_256PRF()`
`static Digest` | `createSHA512()`
`static Digest` | `createSHA512PRF()`
`static Digest` | `createSHAKE128()`
`static Digest` | `createSHAKE256()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestFactory

    public DigestFactory()

Method Detail

### createMD5

    public static Digest createMD5()

### createMD5PRF

    public static Digest createMD5PRF()

### createSHA1

    public static Digest createSHA1()

### createSHA1PRF

    public static Digest createSHA1PRF()

### createSHA224

    public static Digest createSHA224()

### createSHA224PRF

    public static Digest createSHA224PRF()

### createSHA256

    public static Digest createSHA256()

### createSHA256PRF

    public static Digest createSHA256PRF()

### createSHA384

    public static Digest createSHA384()

### createSHA384PRF

    public static Digest createSHA384PRF()

### createSHA512

    public static Digest createSHA512()

### createSHA512PRF

    public static Digest createSHA512PRF()

### createSHA512_224

    public static Digest createSHA512_224()

### createSHA512_224PRF

    public static Digest createSHA512_224PRF()

### createSHA512_256

    public static Digest createSHA512_256()

### createSHA512_256PRF

    public static Digest createSHA512_256PRF()

### createSHA3_224

    public static Digest createSHA3_224()

### createSHA3_224PRF

    public static Digest createSHA3_224PRF()

### createSHA3_256

    public static Digest createSHA3_256()

### createSHA3_256PRF

    public static Digest createSHA3_256PRF()

### createSHA3_384

    public static Digest createSHA3_384()

### createSHA3_384PRF

    public static Digest createSHA3_384PRF()

### createSHA3_512

    public static Digest createSHA3_512()

### createSHA3_512PRF

    public static Digest createSHA3_512PRF()

### createSHAKE128

    public static Digest createSHAKE128()

### createSHAKE256

    public static Digest createSHAKE256()

### cloneDigest

    public static Digest cloneDigest(Digest hashAlg)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD